Yuki Platform API Prod

Search Company by Company ID

This endpoint allows searching for a company within a specific portal by its company ID. Returns the company details if a match is found. Users attempting to perform this operation need to ensure they possess the necessary permissions. You should have yukiapi:portal:portals:read scope to access this endpoint.

Authorization

Called with a Portal User token - an employee of an accounting portal.

The caller must hold at least one of these roles in the portal: AccountantManagement, Accountant.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/companies/search/byCompanyId

Query Parameters

companyIdstring(uuid)required

The unique identifier of the company to search for

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Company object

Company

Company information object.

idstring(uuid)

Unique identifier of the company.

Example:123e4567-e89b-12d3-a456-426614174000

companyNamestring

The name of the company.

Example:Example Corp

companyDescriptionstring

A brief description of the company.

Example:Example Corp is a leading provider of innovative solutions.

addressobject

Address information object.

Show Child Parameters
mailingAddressobject

Address information object.

Show Child Parameters
countrystring | null

Country ISO code.

Example:NL

emailAddressstring

Email address.

Example:info@example.com

phonestring

Phone number.

Example:+31 20 123 4567

websitestring

Company website (optional).

Example:https://example.com

legalFormstring

Legal form of the company.
BE: Unknown, SolePartnership, PrivateLimited, PublicLimited, GeneralPartnership, LimitedPartnership, Partnership, Association, Foundation, Cooperative.
NL: values to be added later

Allowed values:UnknownSolePartnershipPrivateLimitedPublicLimitedGeneralPartnershipLimitedPartnershipPartnershipAssociationFoundationCooperative

Example:PrivateLimited

cocNumberstring

Chamber of Commerce number.

Example:12345678

internalCustomerCodestring

Internal customer code (optional).

Example:CUST001

accountingStartingDatestring(date)

Accounting starting date.

Example:2024-01-01

financialobject

Financial object containing financial-related settings.

Show Child Parameters
peppolConfigurationobjectrequired

Peppol configuration object containing Peppol-related settings.

Show Child Parameters
domainIdstring(uuid)

The unique identifier of the domain where the company belongs.

Example:456e5678-f90c-23e4-b567-537725285111

 
application/json

Domain

Operations related to domains

Create Domain

This endpoint allows the creation of a new domain. Ensure you have the necessary permissions before attempting to create a domain. You should have yukiapi:domain:domains:create and yukiapi:domain:domains:write scopes to access this endpoint.

Authorization

Called with a Portal User token - an employee of an accounting portal.

The caller must hold at least one of these roles: AccountantManagement, Accountant.

post
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

CreateDomain

Schema for creating a new domain.

* Additional properties are NOT allowed.
namestringrequired

The domain name. Only lowercase letters, numbers and dashes are allowed, and it must start with a letter or number.

Example:my-company-name

statusstringrequired

The status of the domain for creation purposes.

Allowed values:StartupActive

Example:Active

bundlestringrequired

The bundle type for the domain.

Allowed values:MinimalSmallMediumLargeUnlimited

Example:Medium

languagestringrequired

The locale for the domain.
BE: nl-BE, en-US, fr-BE.
NL: en-US, nl-NL

Allowed values:nl-BEen-USfr-BEnl-NL

Example:en-US

companyobjectrequired

Company information object.

Show Child Parameters
createCustomerUserbooleanrequired

Whether to also create a user account for the customer. When true, the customer (customerName/customerEmail) is invited as the first user of the domain: an invitation email is sent and, once accepted, the customer can log in with management permissions. When false, no user account is created and no email is sent. In both cases the customer is registered as the main contact person of the company created together with the domain.

Example:true

customerNamestringrequired

The full name of the customer. Always required, regardless of createCustomerUser: together with customerEmail it identifies the main contact person of the company created together with the domain.

Example:John Doe

customerEmailstring(email)required

The email address of the customer. Always required, regardless of createCustomerUser: it is stored on the main contact person of the company created together with the domain and, when createCustomerUser is true, it is also used to send the invitation email.

Example:john.doe@yuki.nl

backofficeobject

Back office configuration settings.

Show Child Parameters

Response

application/json

Domain successfully created

idstring

The unique identifier of the created domain

Example:3afb7b54-6144-4561-9a29-1148006f2375

companyIdstring

The unique identifier of the company created together with the domain

Example:8c2e0d11-4b7a-4f3e-9d02-5a6f31c9e842

 
application/json

Get All Domains for a Portal

This endpoint allows the retrieval of all domains belonging to a Portal. Ensure you have the necessary permissions before attempting to retrieve the domains list. You should have yukiapi:portal:portals:read and yukiapi:domain:domains:read scopes to access this endpoint.

Authorization

Called with a Portal User token - an employee of an accounting portal.

The caller must hold at least one of these roles in the portal: AccountantManagement, Accountant.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains

Query Parameters

offsetinteger

The number of items to skip before starting to collect the result set

limitinteger

The numbers of items to return

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Paged result of domains

totalItemsinteger

Total number of items available

Example:100

offsetinteger

Current offset in the list

Example:10

limitinteger

Maximum number of items returned

Example:20

itemsarray[object]
Show Child Parameters
 
application/json

Get domain by ID

Retrieves detailed information about a specific domain using its unique identifier. This includes domain metadata, associated companies, and configuration details. You should have yukiapi:domain:domains:read scope to access this endpoint.

Authorization

Called with a Portal User token - an employee of an accounting portal.

The caller must hold at least one of these roles in the portal: AccountantManagement, Accountant.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains/{domain-id}

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Domain object

Domain

idstring

Example:e7ff8d6e-d82a-4649-be6e-523db02052d3

namestring

Example:Example Domain

hidstring

Example:abcd1234

typestring

Example:Business

statusstring

The status of the domain for read purposes.

Allowed values:StartupActiveInactiveArchived

Example:Active

countrystring

Example:Netherlands

ownerobject
Show Child Parameters
backofficeobject
Show Child Parameters
createdDatestring(date-time)

Example:2023-01-01T10:00:00Z

createdBystring

Example:Admin User

modifiedDatestring(date-time)

Example:2023-01-15T15:30:00Z

modifiedBystring

Example:Moderator

lastUserLoginstring(date-time)

Example:2023-01-20T09:00:00Z

lastDocumentUploadstring(date-time)

Example:2023-01-18T14:45:00Z

contractobject
Show Child Parameters
 
application/json